Debian Bug report logs - #678247
[clamav-freshclam] Clamav cannot generate a proper /etc/clamav/freshclam.conf

version graph

Package: clamav-freshclam; Maintainer for clamav-freshclam is ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>; Source for clamav-freshclam is src:clamav.

Reported by: Valerio Passini <valerio.passini@unicam.it>

Date: Wed, 20 Jun 2012 09:27:01 UTC

Severity: serious

Found in versions clamav/0.97.3+dfsg-2.2, clamav/0.97.5+dfsg-2, clamav/0.97.3+dfsg-1~squeeze1

Fixed in versions clamav/0.97.5+dfsg-3, clamav/0.97.5+dfsg-3~squeeze1, clamav/0.97.5+dfsg-6~squeeze1

Done: Scott Kitterman <scott@kitterman.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>:
Bug#678247; Package clamav-freshclam. (Wed, 20 Jun 2012 09:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Valerio Passini <valerio.passini@unicam.it>:
New Bug report received and forwarded. Copy sent to ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>. (Wed, 20 Jun 2012 09:27:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Valerio Passini <valerio.passini@unicam.it>
To: submit@bugs.debian.org
Subject: [clamav-freshclam] Clamav cannot generate a proper /etc/clamav/freshclam.conf
Date: Wed, 20 Jun 2012 11:11:48 +0200
Package: clamav-freshclam
Version: 0.97.5+dfsg-2
Severity: serious

--- Please enter the report below this line. ---
This bug seems similar to this one 
https://bugs.launchpad.net/ubuntu/+source/clamav/+bug/784797
I have KDE and use konsole, maybe it's related to the wrong generation of the 
conf file.
The error given is:

Starting ClamAV virus database updater: freshclamERROR: Incorrect argument 
format for option HTTPProxyPort
ERROR: Can't open/parse the config file /etc/clamav/freshclam.conf
 failed!

I used the package maintainer version of freshclmam.conf and dpkg-reconfigure 
clamav-freshcalm and both lead to the same  error. The only way for me was to 
manually edit the file and comment out the lines about proxy stuff.


--- System information. ---
Architecture: amd64
Kernel:       Linux 3.3.8

Debian Release: wheezy/sid
  990 unstable        mi.mirror.garr.it 
  990 unstable        ftp.uk.debian.org 
  990 unstable        ftp.it.debian.org 
  500 testing         mi.mirror.garr.it 
  500 testing         ftp.uk.debian.org 
  100 experimental-snapshots qt-kde.debian.net 
    1 experimental    mi.mirror.garr.it 
    1 experimental    debian.fastweb.it 

--- Package information. ---
Depends                  (Version) | Installed
==================================-+-===================
debconf                  (>= 0.5)  | 1.5.44
 OR debconf-2.0                    | 
clamav-base     (>= 0.97.5+dfsg-2) | 0.97.5+dfsg-2
libc6                     (>= 2.7) | 
libclamav6        (>= 0.97.5+dfsg) | 
zlib1g                (>= 1:1.1.4) | 
ucf                                | 
logrotate                          | 
lsb-base               (>= 3.2-13) | 


Package's Recommends field is empty.

Suggests         (Version) | Installed
==========================-+-===========
clamav-docs                | 



--- Output from package bug script ---
--- configuration ---
#Automatically Generated by clamav-base postinst
#To reconfigure clamd run #dpkg-reconfigure clamav-base
#Please read /usr/share/doc/clamav-base/README.Debian.gz for details
LocalSocket /var/run/clamav/clamd.ctl
FixStaleSocket true
LocalSocketGroup clamav
LocalSocketMode 666
# TemporaryDirectory is not set to its default /tmp here to make overriding
# the default with environment variables TMPDIR/TMP/TEMP possible
User clamav
AllowSupplementaryGroups true
ScanMail true
ScanArchive true
ArchiveBlockEncrypted false
MaxDirectoryRecursion 15
FollowDirectorySymlinks false
FollowFileSymlinks false
ReadTimeout 180
MaxThreads 12
MaxConnectionQueueLength 15
LogSyslog false
LogFacility LOG_LOCAL6
LogClean false
LogVerbose false
PidFile /var/run/clamav/clamd.pid
DatabaseDirectory /var/lib/clamav
SelfCheck 3600
Foreground false
Debug false
ScanPE true
ScanOLE2 true
ScanHTML true
DetectBrokenExecutables false
ExitOnOOM false
LeaveTemporaryFiles false
AlgorithmicDetection true
ScanELF true
IdleTimeout 30
PhishingSignatures true
PhishingScanURLs true
PhishingAlwaysBlockSSLMismatch false
PhishingAlwaysBlockCloak false
DetectPUA false
ScanPartialMessages false
HeuristicScanPrecedence false
StructuredDataDetection false
CommandReadTimeout 5
SendBufTimeout 200
MaxQueue 100
ExtendedDetectionInfo true
OLE2BlockMacros false
StreamMaxLength 25M
LogFile /var/log/clamav/clamav.log
LogTime true
LogFileUnlock false
LogFileMaxSize 0
Bytecode true
BytecodeSecurity TrustSigned
BytecodeTimeout 60000
OfficialDatabaseOnly false
CrossFilesystems true
# Automatically created by the clamav-freshclam postinst
# Comments will get lost when you reconfigure the clamav-freshclam package

DatabaseOwner clamav
UpdateLogFile /var/log/clamav/freshclam.log
LogVerbose false
LogSyslog false
LogFacility LOG_LOCAL6
LogFileMaxSize 0
LogTime true
Foreground false
Debug false
MaxAttempts 5
DatabaseDirectory /var/lib/clamav
DNSDatabaseInfo current.cvd.clamav.net
AllowSupplementaryGroups false
PidFile /var/run/clamav/freshclam.pid
ConnectTimeout 30
ReceiveTimeout 30
TestDatabases yes
ScriptedUpdates yes
CompressLocalDatabase no
Bytecode true
# Check for new database 24 times a day
Checks 2
DatabaseMirror db.local.clamav.net
DatabaseMirror database.clamav.net
# Proxy: http://:/
#HTTPProxyServer 
#HTTPProxyPort 

--- data dir ---
totale 35440
-rw-r--r-- 1 clamav    124   302080 giu 19 10:52 bytecode.cld
-rw-r--r-- 1 clamav clamav  5224201 giu 20 10:58 daily.cvd
-rw-r--r-- 1 root   root        755 giu 20 11:01 freshclam.conf
-rw-r--r-- 1 clamav clamav 30750647 giu 20 10:58 main.cvd
-rw------- 1 clamav    124      208 giu 20 10:58 mirrors.dat




Information forwarded to debian-bugs-dist@lists.debian.org, ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>:
Bug#678247; Package clamav-freshclam. (Wed, 20 Jun 2012 10:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <sklist@kitterman.com>:
Extra info received and forwarded to list. Copy sent to ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>. (Wed, 20 Jun 2012 10:57:08 GMT) Full text and rfc822 format available.

Message #10 received at 678247@bugs.debian.org (full text, mbox):

From: Scott Kitterman <sklist@kitterman.com>
To: Valerio Passini <valerio.passini@unicam.it>,678247@bugs.debian.org
Subject: Re: [Pkg-clamav-devel] Bug#678247: [clamav-freshclam] Clamav cannot generate a proper /etc/clamav/freshclam.conf
Date: Wed, 20 Jun 2012 05:45:34 -0500
[Message part 1 (text/plain, inline)]
Could you provide the information requested in https://bugs.launchpad.net/ubuntu/+source/clamav/+bug/784797/comments/8 - I agree it looks similar. 
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>:
Bug#678247; Package clamav-freshclam. (Wed, 20 Jun 2012 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Valerio Passini <valerio.passini@unicam.it>:
Extra info received and forwarded to list. Copy sent to ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>. (Wed, 20 Jun 2012 15:09:04 GMT) Full text and rfc822 format available.

Message #15 received at 678247@bugs.debian.org (full text, mbox):

From: Valerio Passini <valerio.passini@unicam.it>
To: 678247@bugs.debian.org
Subject: Requested info
Date: Wed, 20 Jun 2012 16:52:39 +0200
Package: clamav-freshclam
Version: 0.97.5+dfsg-2

--- Please enter the report below this line. ---
Proxy information (comments are mine):
# Proxy: http://^B:^B/
#HTTPProxyServer ^B
#HTTPProxyPort ^B


the whole freshclam.conf file content:

DatabaseDirectory /var/lib/clamav
DNSDatabaseInfo current.cvd.clamav.net
AllowSupplementaryGroups false
PidFile /var/run/clamav/freshclam.pid
ConnectTimeout 30
ReceiveTimeout 30
TestDatabases yes
ScriptedUpdates yes
CompressLocalDatabase no
Bytecode true
# Check for new database 2 times a day
Checks 2
DatabaseMirror db.local.clamav.net
DatabaseMirror database.clamav.net
# Proxy: http://^B:^B/
#HTTPProxyServer ^B
#HTTPProxyPort ^B

I'm noting that reportbug-ng is embedding at the end the same information, but 
instead of the "^B" stuff there is an unrecognised character. Maybe it is 
related in some way.

Valerio

--- System information. ---
Architecture: amd64
Kernel:       Linux 3.3.8

Debian Release: wheezy/sid
  990 unstable        mi.mirror.garr.it 
  990 unstable        ftp.uk.debian.org 
  990 unstable        ftp.it.debian.org 
  500 testing         mi.mirror.garr.it 
  500 testing         ftp.uk.debian.org 
  100 experimental-snapshots qt-kde.debian.net 
    1 experimental    mi.mirror.garr.it 
    1 experimental    debian.fastweb.it 

--- Package information. ---
Depends                  (Version) | Installed
==================================-+-===================
debconf                  (>= 0.5)  | 1.5.44
 OR debconf-2.0                    | 
clamav-base     (>= 0.97.5+dfsg-2) | 0.97.5+dfsg-2
libc6                     (>= 2.7) | 
libclamav6        (>= 0.97.5+dfsg) | 
zlib1g                (>= 1:1.1.4) | 
ucf                                | 
logrotate                          | 
lsb-base               (>= 3.2-13) | 


Package's Recommends field is empty.

Suggests         (Version) | Installed
==========================-+-===========
clamav-docs                | 



--- Output from package bug script ---
--- configuration ---
#Automatically Generated by clamav-base postinst
#To reconfigure clamd run #dpkg-reconfigure clamav-base
#Please read /usr/share/doc/clamav-base/README.Debian.gz for details
LocalSocket /var/run/clamav/clamd.ctl
FixStaleSocket true
LocalSocketGroup clamav
LocalSocketMode 666
# TemporaryDirectory is not set to its default /tmp here to make overriding
# the default with environment variables TMPDIR/TMP/TEMP possible
User clamav
AllowSupplementaryGroups true
ScanMail true
ScanArchive true
ArchiveBlockEncrypted false
MaxDirectoryRecursion 15
FollowDirectorySymlinks false
FollowFileSymlinks false
ReadTimeout 180
MaxThreads 12
MaxConnectionQueueLength 15
LogSyslog false
LogFacility LOG_LOCAL6
LogClean false
LogVerbose false
PidFile /var/run/clamav/clamd.pid
DatabaseDirectory /var/lib/clamav
SelfCheck 3600
Foreground false
Debug false
ScanPE true
ScanOLE2 true
ScanHTML true
DetectBrokenExecutables false
ExitOnOOM false
LeaveTemporaryFiles false
AlgorithmicDetection true
ScanELF true
IdleTimeout 30
PhishingSignatures true
PhishingScanURLs true
PhishingAlwaysBlockSSLMismatch false
PhishingAlwaysBlockCloak false
DetectPUA false
ScanPartialMessages false
HeuristicScanPrecedence false
StructuredDataDetection false
CommandReadTimeout 5
SendBufTimeout 200
MaxQueue 100
ExtendedDetectionInfo true
OLE2BlockMacros false
StreamMaxLength 25M
LogFile /var/log/clamav/clamav.log
LogTime true
LogFileUnlock false
LogFileMaxSize 0
Bytecode true
BytecodeSecurity TrustSigned
BytecodeTimeout 60000
OfficialDatabaseOnly false
CrossFilesystems true
# Automatically created by the clamav-freshclam postinst
# Comments will get lost when you reconfigure the clamav-freshclam package

DatabaseOwner clamav
UpdateLogFile /var/log/clamav/freshclam.log
LogVerbose false
LogSyslog false
LogFacility LOG_LOCAL6
LogFileMaxSize 0
LogTime true
Foreground false
Debug false
MaxAttempts 5
DatabaseDirectory /var/lib/clamav
DNSDatabaseInfo current.cvd.clamav.net
AllowSupplementaryGroups false
PidFile /var/run/clamav/freshclam.pid
ConnectTimeout 30
ReceiveTimeout 30
TestDatabases yes
ScriptedUpdates yes
CompressLocalDatabase no
Bytecode true
# Check for new database 2 times a day
Checks 2
DatabaseMirror db.local.clamav.net
DatabaseMirror database.clamav.net
# Proxy: http://:/
#HTTPProxyServer 
#HTTPProxyPort 

--- data dir ---
totale 35436
-rw-r--r-- 1 clamav    124   302080 giu 19 10:52 bytecode.cld
-rw-r--r-- 1 clamav clamav  5224201 giu 20 10:58 daily.cvd
-rw-r--r-- 1 clamav clamav 30750647 giu 20 10:58 main.cvd
-rw------- 1 clamav    124      208 giu 20 16:33 mirrors.dat




Marked as found in versions clamav/0.97.3+dfsg-1~squeeze1. Request was from Scott Kitterman <scott@kitterman.com> to control@bugs.debian.org. (Wed, 20 Jun 2012 18:30:03 GMT) Full text and rfc822 format available.

Marked as found in versions clamav/0.97.3+dfsg-2.2. Request was from Scott Kitterman <scott@kitterman.com> to control@bugs.debian.org. (Wed, 20 Jun 2012 18:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>:
Bug#678247; Package clamav-freshclam. (Wed, 20 Jun 2012 18:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>. (Wed, 20 Jun 2012 18:33:06 GMT) Full text and rfc822 format available.

Message #24 received at 678247@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: Valerio Passini <valerio.passini@unicam.it>, 678247@bugs.debian.org
Subject: Re: [Pkg-clamav-devel] Bug#678247: Requested info
Date: Wed, 20 Jun 2012 14:30:56 -0400
Thanks.  I've reviewed the freshclam postinst and don't see how it can cause a 
problem like this.  Can you sudo dpkg-reconfigure clamav-freshclam and when you 
get to the related questions, carefully check and see if there's any 
whitespace in the debconf window.  If so, please remove it and see if that 
solves the problem.




Information forwarded to debian-bugs-dist@lists.debian.org, ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>:
Bug#678247; Package clamav-freshclam. (Wed, 20 Jun 2012 20:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Valerio Passini <valerio.passini@unicam.it>:
Extra info received and forwarded to list. Copy sent to ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>. (Wed, 20 Jun 2012 20:09:02 GMT) Full text and rfc822 format available.

Message #29 received at 678247@bugs.debian.org (full text, mbox):

From: Valerio Passini <valerio.passini@unicam.it>
To: Scott Kitterman <debian@kitterman.com>
Cc: 678247@bugs.debian.org
Subject: Re: [Pkg-clamav-devel] Bug#678247: Requested info
Date: Wed, 20 Jun 2012 22:06:50 +0200
mercoledì 20 giugno 2012 Kitterman ha scritto:
> Thanks.  I've reviewed the freshclam postinst and don't see how it can
> cause a problem like this.  Can you sudo dpkg-reconfigure clamav-freshclam
> and when you get to the related questions, carefully check and see if
> there's any whitespace in the debconf window.  If so, please remove it and
> see if that solves the problem.

mercoledì 20 giugno 2012

I've done it and there were those strange ^B's in the Proxy field followed by a 
white space. Removing only the white space was not decisive for the problem. 
After removing completely those values (all the line, not only the white 
space), they disappeared in subsequent configurations (sudo dpkg-reconfigure 
clamav-freshclam) and the generated freshclam.conf was right.
I don't know if dpkg retains old configuration entries but it seems like it 
pushed those wrong values in the freshclam.conf from somewhere (BTW I never 
needed a proxy).

Valerio




Information forwarded to debian-bugs-dist@lists.debian.org, ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>:
Bug#678247; Package clamav-freshclam. (Sun, 01 Jul 2012 01:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>. (Sun, 01 Jul 2012 01:51:03 GMT) Full text and rfc822 format available.

Message #34 received at 678247@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 678247@bugs.debian.org
Subject: Thanks for the troubleshooting
Date: Sat, 30 Jun 2012 21:40:52 -0400
[Message part 1 (text/plain, inline)]
I've looked into this a bit and the bogus proxy host is a function of whatever 
debconf feeds to the postinst.  I can't tell if it's inadvertent data entry or 
some other issue, but it's not a clamav bug.  The part of this that is a 
clamav bug is that if the proxy port is not specified, the hostname is 
incorrectly and blindly copied into the configuration file as the port number.

This is obviously a bug and inconsistent with the debconf template that 
promises the port entry is optional.  I'll fix the postinst to behave the way 
the template says it will.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>:
Bug#678247; Package clamav-freshclam. (Sun, 01 Jul 2012 02:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>. (Sun, 01 Jul 2012 02:09:02 GMT) Full text and rfc822 format available.

Message #39 received at 678247@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 678247@bugs.debian.org
Subject: Fix debdiff
Date: Sat, 30 Jun 2012 22:03:35 -0400
[Message part 1 (text/plain, inline)]
Attached.
[proxy_fix.debdiff (text/x-patch, attachment)]

Added tag(s) pending. Request was from Scott Kitterman <scott@kitterman.com> to control@bugs.debian.org. (Sun, 01 Jul 2012 02:09:04 GMT) Full text and rfc822 format available.

Reply sent to Scott Kitterman <scott@kitterman.com>:
You have taken responsibility. (Sun, 01 Jul 2012 03:06:06 GMT) Full text and rfc822 format available.

Notification sent to Valerio Passini <valerio.passini@unicam.it>:
Bug acknowledged by developer. (Sun, 01 Jul 2012 03:06:06 GMT) Full text and rfc822 format available.

Message #46 received at 678247-close@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 678247-close@bugs.debian.org
Subject: Bug#678247: fixed in clamav 0.97.5+dfsg-3
Date: Sun, 01 Jul 2012 03:03:57 +0000
Source: clamav
Source-Version: 0.97.5+dfsg-3

We believe that the bug you reported is fixed in the latest version of
clamav, which is due to be installed in the Debian FTP archive:

clamav-base_0.97.5+dfsg-3_all.deb
  to main/c/clamav/clamav-base_0.97.5+dfsg-3_all.deb
clamav-daemon_0.97.5+dfsg-3_i386.deb
  to main/c/clamav/clamav-daemon_0.97.5+dfsg-3_i386.deb
clamav-dbg_0.97.5+dfsg-3_i386.deb
  to main/c/clamav/clamav-dbg_0.97.5+dfsg-3_i386.deb
clamav-docs_0.97.5+dfsg-3_all.deb
  to main/c/clamav/clamav-docs_0.97.5+dfsg-3_all.deb
clamav-freshclam_0.97.5+dfsg-3_i386.deb
  to main/c/clamav/clamav-freshclam_0.97.5+dfsg-3_i386.deb
clamav-milter_0.97.5+dfsg-3_i386.deb
  to main/c/clamav/clamav-milter_0.97.5+dfsg-3_i386.deb
clamav-testfiles_0.97.5+dfsg-3_all.deb
  to main/c/clamav/clamav-testfiles_0.97.5+dfsg-3_all.deb
clamav_0.97.5+dfsg-3.diff.gz
  to main/c/clamav/clamav_0.97.5+dfsg-3.diff.gz
clamav_0.97.5+dfsg-3.dsc
  to main/c/clamav/clamav_0.97.5+dfsg-3.dsc
clamav_0.97.5+dfsg-3_i386.deb
  to main/c/clamav/clamav_0.97.5+dfsg-3_i386.deb
libclamav-dev_0.97.5+dfsg-3_i386.deb
  to main/c/clamav/libclamav-dev_0.97.5+dfsg-3_i386.deb
libclamav6_0.97.5+dfsg-3_i386.deb
  to main/c/clamav/libclamav6_0.97.5+dfsg-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678247@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Kitterman <scott@kitterman.com> (supplier of updated clamav package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Jun 2012 21:35:33 -0400
Source: clamav
Binary: clamav-base clamav-docs clamav-dbg clamav libclamav-dev libclamav6 clamav-daemon clamav-testfiles clamav-freshclam clamav-milter
Architecture: source all i386
Version: 0.97.5+dfsg-3
Distribution: unstable
Urgency: low
Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Changed-By: Scott Kitterman <scott@kitterman.com>
Description: 
 clamav     - anti-virus utility for Unix - command-line interface
 clamav-base - anti-virus utility for Unix - base package
 clamav-daemon - anti-virus utility for Unix - scanner daemon
 clamav-dbg - debug symbols for ClamAV
 clamav-docs - anti-virus utility for Unix - documentation
 clamav-freshclam - anti-virus utility for Unix - virus database update utility
 clamav-milter - anti-virus utility for Unix - sendmail integration
 clamav-testfiles - anti-virus utility for Unix - test files
 libclamav-dev - anti-virus utility for Unix - development files
 libclamav6 - anti-virus utility for Unix - library
Closes: 678247
Changes: 
 clamav (0.97.5+dfsg-3) unstable; urgency=low
 .
   * Fix proxy port configuration handling in clamav-freshclam.postinst so that
     failure to specify port does not result in an invalid configuration
     (Closes: #678247), (LP: #784797)
Checksums-Sha1: 
 0e7fbec7ff81c6f74e7c64889c6a63826df94606 1933 clamav_0.97.5+dfsg-3.dsc
 bd9154652121b3f8ea2a988d7f8be1e12847d516 292237 clamav_0.97.5+dfsg-3.diff.gz
 1d53dd77d3a2e9b18143ab3e747382edd50366fb 307354 clamav-base_0.97.5+dfsg-3_all.deb
 c1cc45179894548d51a1da101b871f11682503eb 5260978 clamav-testfiles_0.97.5+dfsg-3_all.deb
 dede0135f7d9ffcfbc876a386b4f914ace03afdf 1296552 clamav-docs_0.97.5+dfsg-3_all.deb
 1072d04288a81b13e0f8416020d42356104094de 4367410 libclamav6_0.97.5+dfsg-3_i386.deb
 a6fb5f401d512d87464616d706e6f4861113539d 334162 clamav_0.97.5+dfsg-3_i386.deb
 7490ba6cbb5d00db34c19f304b85438e7a7a85a1 427872 clamav-daemon_0.97.5+dfsg-3_i386.deb
 3808612199f913a62ea2d8e9dbb14025ba7de23e 320714 clamav-freshclam_0.97.5+dfsg-3_i386.deb
 23d826317d0f0e5fd065a41a61d33e7a3f1f41b3 357680 clamav-milter_0.97.5+dfsg-3_i386.deb
 5ed9e228500622343d7016dbeeed09d62069cd6a 220344 libclamav-dev_0.97.5+dfsg-3_i386.deb
 aa6e1b186b73204f7265c91ced05b1f7a51ef2a2 35504850 clamav-dbg_0.97.5+dfsg-3_i386.deb
Checksums-Sha256: 
 af7e59b6ab75dcfd80b2da7cfab0df6d1ca0acbde6f4a8fbbaf72ea5689d6353 1933 clamav_0.97.5+dfsg-3.dsc
 d316de66e479da98af7c371a94d2915818ade233a8c2b4c9a66ce6ecc29b1051 292237 clamav_0.97.5+dfsg-3.diff.gz
 0ac0b04c1795c06dd325091a53f2f8ea568feb9a78703dfe742d21b285cd205d 307354 clamav-base_0.97.5+dfsg-3_all.deb
 56b2d5a4519a97dd1f2b755022496418090811301d1f683156094bd1c6f09226 5260978 clamav-testfiles_0.97.5+dfsg-3_all.deb
 947f0cfdf77b60276a34544e4fd89c7dd7999fa7ec83dcda7d1dcdadfa9c8301 1296552 clamav-docs_0.97.5+dfsg-3_all.deb
 d3b7ee205699d3d42f0048e15ef31209f127d84f08c9c80d0025f1a5e571eb26 4367410 libclamav6_0.97.5+dfsg-3_i386.deb
 1885065dd6cf924f887664662fe7f0e9ebe836356679ff9830b0d06ce5ad2a41 334162 clamav_0.97.5+dfsg-3_i386.deb
 d2e24418b5c9d103453ec0ba40849d567d43e368927ca69a114fbeab8808d010 427872 clamav-daemon_0.97.5+dfsg-3_i386.deb
 4e4b98c9d7c1217700c56247ed418a339299b03070474005fbf144d4ebab56b1 320714 clamav-freshclam_0.97.5+dfsg-3_i386.deb
 9bfeefdca753b5605a0bd0281c997c9adb9b36de02c77303aa36ffe77db7e4c5 357680 clamav-milter_0.97.5+dfsg-3_i386.deb
 592301c5774e00bba720bae8a198e44cf69497750c58dee6909e7f9c87222755 220344 libclamav-dev_0.97.5+dfsg-3_i386.deb
 6c35cc458403104c348d347d4c50c001612e321d5c94f9e68e49ad93d1fa686a 35504850 clamav-dbg_0.97.5+dfsg-3_i386.deb
Files: 
 2ef0aa9f3c15caf796c3207bb9d328f3 1933 utils optional clamav_0.97.5+dfsg-3.dsc
 d0a95eb7d42af0da698a46516ccff949 292237 utils optional clamav_0.97.5+dfsg-3.diff.gz
 5a709495f83f78f3c568b2fed1a4becf 307354 utils optional clamav-base_0.97.5+dfsg-3_all.deb
 889f7715a3a93359c885ba36a1afb543 5260978 utils optional clamav-testfiles_0.97.5+dfsg-3_all.deb
 b332ffa43f8c98059f26f7c131e3620e 1296552 doc optional clamav-docs_0.97.5+dfsg-3_all.deb
 1fa1d7606754659cbad376d958fa710f 4367410 libs optional libclamav6_0.97.5+dfsg-3_i386.deb
 55b029bba13fa33d40f6631c17def609 334162 utils optional clamav_0.97.5+dfsg-3_i386.deb
 326a6da9c9c5b80ddf2d2710d048d69e 427872 utils optional clamav-daemon_0.97.5+dfsg-3_i386.deb
 11b9625e4ddadee65975b3b2b741378f 320714 utils optional clamav-freshclam_0.97.5+dfsg-3_i386.deb
 ac6d5346598b87655172a4759831e00f 357680 utils extra clamav-milter_0.97.5+dfsg-3_i386.deb
 b27e2216df2e7d6a59f73b770bfe32dd 220344 libdevel optional libclamav-dev_0.97.5+dfsg-3_i386.deb
 4dd15d796e57edc8e9d95af29bebd4f8 35504850 debug extra clamav-dbg_0.97.5+dfsg-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk/vr8AACgkQHajaM93NaGoAEwCfQbXVvixzRg23nqmYP8B6N+9R
W9MAn14pPFIRFTyCIY2yeFDKJMr3KGoo
=mFlt
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>:
Bug#678247; Package clamav-freshclam. (Sun, 01 Jul 2012 09:27:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>. (Sun, 01 Jul 2012 09:27:27 GMT) Full text and rfc822 format available.

Message #51 received at 678247@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Scott Kitterman <debian@kitterman.com>, 678247@bugs.debian.org
Subject: Re: [Pkg-clamav-devel] Bug#678247: Fix debdiff
Date: Sun, 1 Jul 2012 10:25:14 +0100
[Message part 1 (text/plain, inline)]
This one time, at band camp, Scott Kitterman said:
> Attached.

Hi,

Have you tested that that is a valid config file?  I have some vague
memory of freshclam not being happy with a proxyhost but not a
proxyport.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>:
Bug#678247; Package clamav-freshclam. (Sun, 01 Jul 2012 14:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>. (Sun, 01 Jul 2012 14:00:08 GMT) Full text and rfc822 format available.

Message #56 received at 678247@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: Stephen Gran <sgran@debian.org>,678247@bugs.debian.org
Subject: Re: [Pkg-clamav-devel] Bug#678247: Fix debdiff
Date: Sun, 01 Jul 2012 09:57:50 -0400
[Message part 1 (text/plain, inline)]
I did test it. It defaults to 8080 if you don't specify.

Stephen Gran <sgran@debian.org> wrote:

This one time, at band camp, Scott Kitterman said:
> Attached.

Hi,

Have you tested that that is a valid config file? I have some vague
memory of freshclam not being happy with a proxyhost but not a
proxyport.

Cheers,
-- 
_____________________________________________

| ,''`. Stephen Gran |
| : :' : sgran@debian.org |
| `. `' Debian user, admin, and developer |
| `- http://www.debian.org |
_____________________________________________

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>:
Bug#678247; Package clamav-freshclam. (Sun, 01 Jul 2012 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>. (Sun, 01 Jul 2012 14:45:04 GMT) Full text and rfc822 format available.

Message #61 received at 678247@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: Scott Kitterman <debian@kitterman.com>
Cc: 678247@bugs.debian.org
Subject: Re: [Pkg-clamav-devel] Bug#678247: Fix debdiff
Date: Sun, 1 Jul 2012 15:42:03 +0100
[Message part 1 (text/plain, inline)]
This one time, at band camp, Scott Kitterman said:
> I did test it. It defaults to 8080 if you don't specify.

Perfect :)   Just my memory being bad, then.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[signature.asc (application/pgp-signature, inline)]

Reply sent to Scott Kitterman <scott@kitterman.com>:
You have taken responsibility. (Fri, 13 Jul 2012 02:04:41 GMT) Full text and rfc822 format available.

Notification sent to Valerio Passini <valerio.passini@unicam.it>:
Bug acknowledged by developer. (Fri, 13 Jul 2012 02:05:26 GMT) Full text and rfc822 format available.

Message #66 received at 678247-close@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 678247-close@bugs.debian.org
Subject: Bug#678247: fixed in clamav 0.97.5+dfsg-3~squeeze1
Date: Fri, 13 Jul 2012 01:17:13 +0000
Source: clamav
Source-Version: 0.97.5+dfsg-3~squeeze1

We believe that the bug you reported is fixed in the latest version of
clamav, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678247@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Kitterman <scott@kitterman.com> (supplier of updated clamav package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Jul 2012 15:10:50 -0400
Source: clamav
Binary: clamav-base clamav-docs clamav-dbg clamav libclamav-dev libclamav6 clamav-daemon clamav-testfiles clamav-freshclam clamav-milter
Architecture: source all i386
Version: 0.97.5+dfsg-3~squeeze1
Distribution: stable
Urgency: low
Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Changed-By: Scott Kitterman <scott@kitterman.com>
Description: 
 clamav     - anti-virus utility for Unix - command-line interface
 clamav-base - anti-virus utility for Unix - base package
 clamav-daemon - anti-virus utility for Unix - scanner daemon
 clamav-dbg - debug symbols for ClamAV
 clamav-docs - anti-virus utility for Unix - documentation
 clamav-freshclam - anti-virus utility for Unix - virus database update utility
 clamav-milter - anti-virus utility for Unix - sendmail integration
 clamav-testfiles - anti-virus utility for Unix - test files
 libclamav-dev - anti-virus utility for Unix - development files
 libclamav6 - anti-virus utility for Unix - library
Closes: 651405 652009 653409 653958 659369 659980 660319 660475 660966 667831 668273 669370 677686 678247 678744
Changes: 
 clamav (0.97.5+dfsg-3~squeeze1) stable; urgency=low
 .
   [ Scott Kitterman ]
   * New upstream release (Closes: #668273, #669370, #678744)
     - Addresses possible evasion cases in some archive formats (CVE-2012-1419,
       CVE-2012-1457, CVE-2012-1458, CVE-2012-1459) (Closes: #668273)
     - Repack tarball to remove non-free unrar code and win32 directory
     - Add contrib/split-tarball.sh and docs/man/clambc.1 in the diff.gz
       (these used to be added to the Debian specific upstream tarball, but
       aren't upstream so are better in the diff)
     - Change etc/clamav-milter.conf to Debian defaults
   * Fix proxy port configuration handling in clamav-freshclam.postinst so that
     failure to specify port does not result in an invalid configuration
     (Closes: #678247), (LP: #784797)
   * Remove /var/run/clamav on purge (LP: #829945)
     - Thanks to Imre Gergely for the patch
   * Add call to /sbin/restorecon, if present, in debian/common_functions
     make_directory to to label the /run directory for SE Linux
     (Closes: #677686)
     - Thanks to Russell Coker for the patch
   * Remove obsolete reference to clamav-data package in clamav-daemon init log
     failure message
   * Enabled hardened build flags (Closes: #653958)
     - Thanks to Moritz Muehlenhoff for the patch
   * Remove var/lib/clamav/daily.cvd and main.cvd from clamav-base.examples
     because they aren't installed by the build system anymore (and are
     provided only as empty files in the upstream tarball)
   * Fix typos in README.Debian (Closes: #667831)
   * Update libclamav6 binary lintian override to match current filename
   * Bump standards version to 3.9.3 without further change
   * Add myself to uploaders
 .
   [ Stephen Gran ]
   * Add a note about RAR functionality to README.Debian (Closes: #652009)
   * Add VERBOSE=1 to make check
 .
   [ Christian Perrier ]
   * Fix spelling error in debconf templates. Closes: #660966
   * Fix pending l10n issues. Debconf translations:
     - Dutch; (Jeroen Schot).  Closes: #651405
     - German (Thomas Müller).  Closes: #653409
     - Polish (Michał Kułach).  Closes: #659369
     - Japanese (Kenshi Muto).  Closes: #659980
     - Czech (Miroslav Kure).  Closes: #660319
     - Italian (Luca Monducci).  Closes: #660475
 .
   [ Loïc Minier ]
   * Pass --without-included-ltdl to configure instead of hardcoding
     --with-ltdl-include= and --with-ltdl-lib= pathnames, the pathnames
     wouldn't work with multiarch anymore.
   * rules: let clamav-dbg depend on libclamav6 as it seems to require it and
     this could make rules -j safe (didn't manage to reproduce the -j2 failure
     I was getting with the change).
Checksums-Sha1: 
 0c7e60b1723e64e5de1f3d539e7e92e0ba0bbf2b 1627 clamav_0.97.5+dfsg-3~squeeze1.dsc
 6ee6469db5a50acee01d9aec4f0856fc45684b99 12903538 clamav_0.97.5+dfsg.orig.tar.gz
 54167828f35bd18a87e7015a8b5bee560355085e 297167 clamav_0.97.5+dfsg-3~squeeze1.diff.gz
 5bcc2a47f0895a9a74c036b07c0ba37dbd53de88 307120 clamav-base_0.97.5+dfsg-3~squeeze1_all.deb
 af2d9ae20801f15e6269c0666ad035fcc9cbc5ac 5260466 clamav-testfiles_0.97.5+dfsg-3~squeeze1_all.deb
 942963b8bfbacad3e08492fdd4d2bfa265ab2e69 1296310 clamav-docs_0.97.5+dfsg-3~squeeze1_all.deb
 833edbe3c8e05d66dd81ee58a6c681b39c13f762 4022242 libclamav6_0.97.5+dfsg-3~squeeze1_i386.deb
 b2ea20d1390e771934024f4b2cadde1c12f9f145 331154 clamav_0.97.5+dfsg-3~squeeze1_i386.deb
 9f3b77138d0ea2d57184a09e4279637d843a38a4 416034 clamav-daemon_0.97.5+dfsg-3~squeeze1_i386.deb
 171bd4bb1ccf929e746873fd986d18906f169392 318372 clamav-freshclam_0.97.5+dfsg-3~squeeze1_i386.deb
 e4adc768b042ae7f3c43d6fb13a289b7cbbbcb55 353194 clamav-milter_0.97.5+dfsg-3~squeeze1_i386.deb
 05dba58093486096630dec23242967793872b0f4 220014 libclamav-dev_0.97.5+dfsg-3~squeeze1_i386.deb
 0b7b9ebba030c363053767423172a504881a4e18 23853160 clamav-dbg_0.97.5+dfsg-3~squeeze1_i386.deb
Checksums-Sha256: 
 64119df5eab1b3de32598296fd9bdd7d68dcf1ca997ad113ebe94cc2d01a93be 1627 clamav_0.97.5+dfsg-3~squeeze1.dsc
 24447b0a26ef71c6aaefd407c1ad3a7581ef4836afdfb92def254a2872ae29e4 12903538 clamav_0.97.5+dfsg.orig.tar.gz
 63c3a6ee78031abf91c55a6a1929dde6e4746d34b454e20fb5a0e8f5a44c6ca0 297167 clamav_0.97.5+dfsg-3~squeeze1.diff.gz
 ec0f5828e1ee1df37df21ed65d178ac82732b869b9b799f026613c5cd3991830 307120 clamav-base_0.97.5+dfsg-3~squeeze1_all.deb
 d338a07ecd8c619ea4e8498813474e73cf18c273abfd2b9036d02f8855c9c01d 5260466 clamav-testfiles_0.97.5+dfsg-3~squeeze1_all.deb
 19da0f74e1c10cbc0bef65bebbcfb75caf4acffdd0864401403f1083afb96e7b 1296310 clamav-docs_0.97.5+dfsg-3~squeeze1_all.deb
 8133678b187fd6ecefbc29b89912b40a457d8b516fd975b42c4dab27af22b21d 4022242 libclamav6_0.97.5+dfsg-3~squeeze1_i386.deb
 b9bfa22d4139393cd3d19700720bbf81e1a716a44db7a7d24e825738823e94d2 331154 clamav_0.97.5+dfsg-3~squeeze1_i386.deb
 e0ef2f0797209eeae208f8a6a735cb4efba05f93db29d4d51ca2f0df126b92ca 416034 clamav-daemon_0.97.5+dfsg-3~squeeze1_i386.deb
 1646789c974278a9892abb9aff0d7274c69686ff77ee03d7ca8cf7e071ef5406 318372 clamav-freshclam_0.97.5+dfsg-3~squeeze1_i386.deb
 ec1e66d8ce13a5d4a3a36a5b2fd9ed65e8c354ddad2466519a54a1b89e8e2fa7 353194 clamav-milter_0.97.5+dfsg-3~squeeze1_i386.deb
 baa6914ad9fe9e37c5c7ec617813eb488608d590c084c12dc58cefe1656298cc 220014 libclamav-dev_0.97.5+dfsg-3~squeeze1_i386.deb
 fe11ff6c6e17a8a7975cbcf48ef10674acc493eda2ce66d8b499e02a38e8b113 23853160 clamav-dbg_0.97.5+dfsg-3~squeeze1_i386.deb
Files: 
 df34921c2636881d16a6c9353873389d 1627 utils optional clamav_0.97.5+dfsg-3~squeeze1.dsc
 ebaee174037242dfb9c1fe7e47ea7f40 12903538 utils optional clamav_0.97.5+dfsg.orig.tar.gz
 825cc8b9924fee079e61c1b48f0b6364 297167 utils optional clamav_0.97.5+dfsg-3~squeeze1.diff.gz
 0afcf961f94e5e3dfb91b31721b510ae 307120 utils optional clamav-base_0.97.5+dfsg-3~squeeze1_all.deb
 458d44ce5e6619615f9b18a4e165ddcb 5260466 utils optional clamav-testfiles_0.97.5+dfsg-3~squeeze1_all.deb
 8ac07f36cbdc3ace59c2f9049d409193 1296310 doc optional clamav-docs_0.97.5+dfsg-3~squeeze1_all.deb
 9cac8db3908e6698ad4224ab9ea0ccda 4022242 libs optional libclamav6_0.97.5+dfsg-3~squeeze1_i386.deb
 28fb2f5639001b3aa7de69aeb4584617 331154 utils optional clamav_0.97.5+dfsg-3~squeeze1_i386.deb
 a502822440b659e0d2320ea78920b00c 416034 utils optional clamav-daemon_0.97.5+dfsg-3~squeeze1_i386.deb
 9a81b429bfb327cc9d03aebc28c6db33 318372 utils optional clamav-freshclam_0.97.5+dfsg-3~squeeze1_i386.deb
 cda18538be820c76129a2245044a1263 353194 utils extra clamav-milter_0.97.5+dfsg-3~squeeze1_i386.deb
 c1e137d5fc0e99eeaeb20c81b42c374d 220014 libdevel optional libclamav-dev_0.97.5+dfsg-3~squeeze1_i386.deb
 6d1d7ff816a6949369ab4b575700a7bd 23853160 debug extra clamav-dbg_0.97.5+dfsg-3~squeeze1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk/+FwQACgkQHajaM93NaGqhPQCfQRZSqcojHUpkwBYCIUnRz3nf
utwAnj8ZDFpEaC9UvEmpNOvRdi7jmAP0
=3+hq
-----END PGP SIGNATURE-----





Reply sent to Scott Kitterman <scott@kitterman.com>:
You have taken responsibility. (Wed, 15 Aug 2012 12:51:10 GMT) Full text and rfc822 format available.

Notification sent to Valerio Passini <valerio.passini@unicam.it>:
Bug acknowledged by developer. (Wed, 15 Aug 2012 12:51:10 GMT) Full text and rfc822 format available.

Message #71 received at 678247-close@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: 678247-close@bugs.debian.org
Subject: Bug#678247: fixed in clamav 0.97.5+dfsg-6~squeeze1
Date: Wed, 15 Aug 2012 12:47:06 +0000
Source: clamav
Source-Version: 0.97.5+dfsg-6~squeeze1

We believe that the bug you reported is fixed in the latest version of
clamav, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 678247@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Kitterman <scott@kitterman.com> (supplier of updated clamav package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 14 Aug 2012 12:11:19 -0400
Source: clamav
Binary: clamav-base clamav-docs clamav-dbg clamav libclamav-dev libclamav6 clamav-daemon clamav-testfiles clamav-freshclam clamav-milter
Architecture: source all i386
Version: 0.97.5+dfsg-6~squeeze1
Distribution: stable
Urgency: medium
Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Changed-By: Scott Kitterman <scott@kitterman.com>
Description: 
 clamav     - anti-virus utility for Unix - command-line interface
 clamav-base - anti-virus utility for Unix - base package
 clamav-daemon - anti-virus utility for Unix - scanner daemon
 clamav-dbg - debug symbols for ClamAV
 clamav-docs - anti-virus utility for Unix - documentation
 clamav-freshclam - anti-virus utility for Unix - virus database update utility
 clamav-milter - anti-virus utility for Unix - sendmail integration
 clamav-testfiles - anti-virus utility for Unix - test files
 libclamav-dev - anti-virus utility for Unix - development files
 libclamav6 - anti-virus utility for Unix - library
Closes: 651405 652009 653409 653958 659369 659980 660319 660475 660966 667831 668273 669370 677686 678247 678744 681960 684697
Changes: 
 clamav (0.97.5+dfsg-6~squeeze1) stable; urgency=medium
 .
   * Urgency medium for RC bug fix the addressess regression from 0.97.3
   * Add changes from upstream commit 6a879ad98460303b23a6fc119769a3b463a902f8
     to fix unpack errors for various compressed files including some .bz2,
     .xls, .doc, and PDF (Closes: #684697)
   * Drop postrm snippets from clamav-base, clamav-freshclam, clamav-daemon,
     and clamav-milter that remove /var/log/clamav, /var/lib/clamav,
     /var/run/clamav, and /etc/clamav and and let dpkg remove the directories
     once they are empty in order to fix problems with directory removal by a
     package that did not own the directory (Closes: #681960)
 .
 clamav (0.97.5+dfsg-3~squeeze1) stable; urgency=low
 .
   [ Scott Kitterman ]
   * New upstream release (Closes: #668273, #669370, #678744)
     - Addresses possible evasion cases in some archive formats (CVE-2012-1419,
       CVE-2012-1457, CVE-2012-1458, CVE-2012-1459) (Closes: #668273)
     - Repack tarball to remove non-free unrar code and win32 directory
     - Add contrib/split-tarball.sh and docs/man/clambc.1 in the diff.gz
       (these used to be added to the Debian specific upstream tarball, but
       aren't upstream so are better in the diff)
     - Change etc/clamav-milter.conf to Debian defaults
   * Fix proxy port configuration handling in clamav-freshclam.postinst so that
     failure to specify port does not result in an invalid configuration
     (Closes: #678247), (LP: #784797)
   * Remove /var/run/clamav on purge (LP: #829945)
     - Thanks to Imre Gergely for the patch
   * Add call to /sbin/restorecon, if present, in debian/common_functions
     make_directory to to label the /run directory for SE Linux
     (Closes: #677686)
     - Thanks to Russell Coker for the patch
   * Remove obsolete reference to clamav-data package in clamav-daemon init log
     failure message
   * Enabled hardened build flags (Closes: #653958)
     - Thanks to Moritz Muehlenhoff for the patch
   * Remove var/lib/clamav/daily.cvd and main.cvd from clamav-base.examples
     because they aren't installed by the build system anymore (and are
     provided only as empty files in the upstream tarball)
   * Fix typos in README.Debian (Closes: #667831)
   * Update libclamav6 binary lintian override to match current filename
   * Bump standards version to 3.9.3 without further change
   * Add myself to uploaders
 .
   [ Stephen Gran ]
   * Add a note about RAR functionality to README.Debian (Closes: #652009)
   * Add VERBOSE=1 to make check
 .
   [ Christian Perrier ]
   * Fix spelling error in debconf templates. Closes: #660966
   * Fix pending l10n issues. Debconf translations:
     - Dutch; (Jeroen Schot).  Closes: #651405
     - German (Thomas Müller).  Closes: #653409
     - Polish (Michał Kułach).  Closes: #659369
     - Japanese (Kenshi Muto).  Closes: #659980
     - Czech (Miroslav Kure).  Closes: #660319
     - Italian (Luca Monducci).  Closes: #660475
 .
   [ Loïc Minier ]
   * Pass --without-included-ltdl to configure instead of hardcoding
     --with-ltdl-include= and --with-ltdl-lib= pathnames, the pathnames
     wouldn't work with multiarch anymore.
   * rules: let clamav-dbg depend on libclamav6 as it seems to require it and
     this could make rules -j safe (didn't manage to reproduce the -j2 failure
     I was getting with the change).
Checksums-Sha1: 
 d3ba2b5ed612e062a713bb4e25791f35f57185a2 1627 clamav_0.97.5+dfsg-6~squeeze1.dsc
 fbe4907e917254b340d6523bac6ed03d7b15cab0 297572 clamav_0.97.5+dfsg-6~squeeze1.diff.gz
 eec9b60e138c846713447cf9d824c9d50f269136 307320 clamav-base_0.97.5+dfsg-6~squeeze1_all.deb
 5a1967a4a9cb69bb7823afec11cd76605d275166 5260990 clamav-testfiles_0.97.5+dfsg-6~squeeze1_all.deb
 7ae71e54389231bbf178fb536288a71f426da75a 1296560 clamav-docs_0.97.5+dfsg-6~squeeze1_all.deb
 ad738aff15159ae8c44bf4fd8ac9071c9cf758c0 4022708 libclamav6_0.97.5+dfsg-6~squeeze1_i386.deb
 abd8ee836493517a884ab26198ce657e149c5ad1 331392 clamav_0.97.5+dfsg-6~squeeze1_i386.deb
 34656e6383bc67bb6705e35a6103cf3847d64a28 416212 clamav-daemon_0.97.5+dfsg-6~squeeze1_i386.deb
 dc57e1df835886f5e60dcf0532bdf72e4d15ca57 318618 clamav-freshclam_0.97.5+dfsg-6~squeeze1_i386.deb
 af6dbfd028954701c9a6b516c35bc60fef6750e5 353382 clamav-milter_0.97.5+dfsg-6~squeeze1_i386.deb
 4ed726a4a1fdc8b2e2b44abdbe04d5404beca6a1 220282 libclamav-dev_0.97.5+dfsg-6~squeeze1_i386.deb
 7d6e70899ffbd7d71e9357257f8c8d072575e1d7 23854220 clamav-dbg_0.97.5+dfsg-6~squeeze1_i386.deb
Checksums-Sha256: 
 15d7f8237fe0170146b53ec5e7f8b6f8b2bcb85cc3eef2ec440c99c6cd20da59 1627 clamav_0.97.5+dfsg-6~squeeze1.dsc
 762125fc8771c0fe8f4b26651eb3e51fd0368600ed9c970c58d28bb2b70db5ce 297572 clamav_0.97.5+dfsg-6~squeeze1.diff.gz
 263bce93e0a9fb6da7891dff0a3801968b8fdb0d3d7f83d0654b8d7bdd434ebb 307320 clamav-base_0.97.5+dfsg-6~squeeze1_all.deb
 596066b7bffa4b722753253ba65278ed4fe15c98c9293d8bcfb45c074383889a 5260990 clamav-testfiles_0.97.5+dfsg-6~squeeze1_all.deb
 118a49ae068b4d0dcdeba8a23c91d1935ea18ee1f9d3daf500fa343d6856a5d5 1296560 clamav-docs_0.97.5+dfsg-6~squeeze1_all.deb
 15acbbed1267c8d7310434dd09e2a14e8f316ad8bf49c7de4a2fa589e91877f2 4022708 libclamav6_0.97.5+dfsg-6~squeeze1_i386.deb
 4b96746fd7bfbf164c59f1acded973935aab88052a22057eddeadbdbdebd9e35 331392 clamav_0.97.5+dfsg-6~squeeze1_i386.deb
 111ddd98a0cfcf800ee37a9f0c6f2e8522f712a6c4aa3e990d955bed14c03ce1 416212 clamav-daemon_0.97.5+dfsg-6~squeeze1_i386.deb
 47df3fe1f6ca5076a3407abf5e0bf2fcfa6e8a313190aaa6192d6271efa98a7a 318618 clamav-freshclam_0.97.5+dfsg-6~squeeze1_i386.deb
 48272b6e74bf2fe3f10215f21d7ecd5134a35d756af836e3c4095492471d4a91 353382 clamav-milter_0.97.5+dfsg-6~squeeze1_i386.deb
 8c3f5604448c53d409ad11be0bab398e60c534859ceb5a0f4d9134e72a5ca75d 220282 libclamav-dev_0.97.5+dfsg-6~squeeze1_i386.deb
 f043ab55dd4ff53bd35e99be854df07214045335a7046bd73d0b44233fd5ed11 23854220 clamav-dbg_0.97.5+dfsg-6~squeeze1_i386.deb
Files: 
 a23558b40748c3d56c7def1fcdafda62 1627 utils optional clamav_0.97.5+dfsg-6~squeeze1.dsc
 79be4a5e74c4b1f5a54f1ed4044df749 297572 utils optional clamav_0.97.5+dfsg-6~squeeze1.diff.gz
 7e660936edc87aa65aa0db362dfa3935 307320 utils optional clamav-base_0.97.5+dfsg-6~squeeze1_all.deb
 c615a7980b6effe98871afb7bdd2911f 5260990 utils optional clamav-testfiles_0.97.5+dfsg-6~squeeze1_all.deb
 1043f35ceddbfac8b3e101d420d60335 1296560 doc optional clamav-docs_0.97.5+dfsg-6~squeeze1_all.deb
 2cb71b4d403fb6df12c119cfdb34e7b6 4022708 libs optional libclamav6_0.97.5+dfsg-6~squeeze1_i386.deb
 8e4e84c7e432674c1a989a352c42314c 331392 utils optional clamav_0.97.5+dfsg-6~squeeze1_i386.deb
 a24e484455466ce1416658ed07cb3d35 416212 utils optional clamav-daemon_0.97.5+dfsg-6~squeeze1_i386.deb
 eddecc8a76fb278996876c5207302646 318618 utils optional clamav-freshclam_0.97.5+dfsg-6~squeeze1_i386.deb
 f58bf7906c1b8089989d5057480a772c 353382 utils extra clamav-milter_0.97.5+dfsg-6~squeeze1_i386.deb
 81137b90809b68020cf4247d1a9d0af5 220282 libdevel optional libclamav-dev_0.97.5+dfsg-6~squeeze1_i386.deb
 3a5451195d1c340f54a3559b24b1f456 23854220 debug extra clamav-dbg_0.97.5+dfsg-6~squeeze1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlAq13oACgkQHajaM93NaGqcHwCfaxrl/D6aL0KgxxP4EPBhdOvt
TZsAoJsF7LqglVQwyp6inrDfVQfuLIAD
=oswN
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Sep 2012 07:29:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:02:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.